Package org.gitana.platform.client.cluster

# Interface Cluster

All Superinterfaces:
  `AccessControllable`, `DataStore`, `Document`, `org.gitana.platform.GitanaObject`, `org.gitana.platform.JSONable`, `Referenceable`, `Selfable`, `Serializable`, `Teamable`, `TitleDescription`, `Transferable`, `TypedID`

All Known Implementing Classes:
  `ClusterImpl`

public interface Cluster extends DataStore

Author:
  uzi

## Field Summary

### Fields inherited from interface org.gitana.platform.client.document.Document

`FIELD_ID, SYSTEM, SYSTEM_CREATED_BY, SYSTEM_CREATED_ON, SYSTEM_MODIFIED_BY, SYSTEM_MODIFIED_ON`

### Fields inherited from interface org.gitana.platform.client.support.TitleDescription

`FIELD_DESCRIPTION, FIELD_TITLE`

## Method Summary

Modifier and Type
Method
Description
`void`
`killJob(String jobId)`
`org.gitana.platform.support.ResultMap<Job>`
`listFailedJobs()`
`org.gitana.platform.support.ResultMap<Job>`
`listFailedJobs(org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<Job>`
`listFinishedJobs()`
`org.gitana.platform.support.ResultMap<Job>`
`listFinishedJobs(org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<Job>`
`listRunningJobs()`
`org.gitana.platform.support.ResultMap<Job>`
`listRunningJobs(org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<Job>`
`listUnstartedJobs()`
`org.gitana.platform.support.ResultMap<Job>`
`listUnstartedJobs(org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<Job>`
`listWaitingJobs()`
`org.gitana.platform.support.ResultMap<Job>`
`listWaitingJobs(org.gitana.platform.support.Pagination pagination)`
`Job`
`pollForJobCompletion(String jobId)`
Similar to waitForCompletion() call but uses Cloud CMS 4.0 Job Polling.
`org.gitana.platform.support.ResultMap<Job>`
`queryFailedJobs(com.fasterxml.jackson.databind.node.ObjectNode query)`
`org.gitana.platform.support.ResultMap<Job>`
`queryFailedJobs(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<Job>`
`queryFinishedJobs(com.fasterxml.jackson.databind.node.ObjectNode query)`
`org.gitana.platform.support.ResultMap<Job>`
`queryFinishedJobs(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<Job>`
`queryJobs(com.fasterxml.jackson.databind.node.ObjectNode query)`
`org.gitana.platform.support.ResultMap<Job>`
`queryJobs(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<Job>`
`queryRunningJobs(com.fasterxml.jackson.databind.node.ObjectNode query)`
`org.gitana.platform.support.ResultMap<Job>`
`queryRunningJobs(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<Job>`
`queryUnstartedJobs(com.fasterxml.jackson.databind.node.ObjectNode query)`
`org.gitana.platform.support.ResultMap<Job>`
`queryUnstartedJobs(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<Job>`
`queryWaitingJobs(com.fasterxml.jackson.databind.node.ObjectNode query)`
`org.gitana.platform.support.ResultMap<Job>`
`queryWaitingJobs(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)`
`Job`
`readJob(String jobId)`
`Job`
`waitForJobCompletion(String jobId)`

### Methods inherited from interface org.gitana.platform.client.support.AccessControllable

`getACL, getACL, getAuthorityGrants, grant, grant, hasAuthority, hasAuthority, hasPermission, hasPermission, revoke, revoke, revokeAll, revokeAll`

### Methods inherited from interface org.gitana.platform.client.document.Document

`dateCreated, dateModified, getCreatedBy, getId, getModifiedBy, getSystemObject, isSaved, reload, reload, setId, setSaved`

### Methods inherited from interface org.gitana.platform.GitanaObject

`get, getArray, getAsJsonNode, getBigDecimal, getBoolean, getDouble, getInt, getLong, getObject, getObject, getString, has, putAll, putAll, remove, set`

### Methods inherited from interface org.gitana.platform.JSONable

`toJSON, toJSONString`

### Methods inherited from interface org.gitana.platform.client.support.Referenceable

`ref`

### Methods inherited from interface org.gitana.platform.client.support.Selfable

`delete, reload, update`

### Methods inherited from interface org.gitana.platform.client.team.Teamable

`createTeam, createTeam, deleteTeam, getOwnersTeam, getTeamableBaseUri, listTeams, readTeam`

### Methods inherited from interface org.gitana.platform.client.support.TitleDescription

`getDescription, getTitle, setDescription, setTitle`

### Methods inherited from interface org.gitana.platform.client.support.Transferable

`exportArchive, exportArchive, exportArchive, importArchive, importArchive, importArchive`

### Methods inherited from interface org.gitana.platform.client.support.TypedID

`getId, getTypeId`

## Method Details

### queryJobs

org.gitana.platform.support.ResultMap<Job> queryJobs(com.fasterxml.jackson.databind.node.ObjectNode query)

### queryJobs

org.gitana.platform.support.ResultMap<Job> queryJobs(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)

### listUnstartedJobs

org.gitana.platform.support.ResultMap<Job> listUnstartedJobs()

### listUnstartedJobs

org.gitana.platform.support.ResultMap<Job> listUnstartedJobs(org.gitana.platform.support.Pagination pagination)

### queryUnstartedJobs

org.gitana.platform.support.ResultMap<Job> queryUnstartedJobs(com.fasterxml.jackson.databind.node.ObjectNode query)

### queryUnstartedJobs

org.gitana.platform.support.ResultMap<Job> queryUnstartedJobs(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)

### listRunningJobs

org.gitana.platform.support.ResultMap<Job> listRunningJobs()

### listRunningJobs

org.gitana.platform.support.ResultMap<Job> listRunningJobs(org.gitana.platform.support.Pagination pagination)

### queryRunningJobs

org.gitana.platform.support.ResultMap<Job> queryRunningJobs(com.fasterxml.jackson.databind.node.ObjectNode query)

### queryRunningJobs

org.gitana.platform.support.ResultMap<Job> queryRunningJobs(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)

### listFailedJobs

org.gitana.platform.support.ResultMap<Job> listFailedJobs()

### listFailedJobs

org.gitana.platform.support.ResultMap<Job> listFailedJobs(org.gitana.platform.support.Pagination pagination)

### queryFailedJobs

org.gitana.platform.support.ResultMap<Job> queryFailedJobs(com.fasterxml.jackson.databind.node.ObjectNode query)

### queryFailedJobs

org.gitana.platform.support.ResultMap<Job> queryFailedJobs(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)

### listWaitingJobs

org.gitana.platform.support.ResultMap<Job> listWaitingJobs()

### listWaitingJobs

org.gitana.platform.support.ResultMap<Job> listWaitingJobs(org.gitana.platform.support.Pagination pagination)

### queryWaitingJobs

org.gitana.platform.support.ResultMap<Job> queryWaitingJobs(com.fasterxml.jackson.databind.node.ObjectNode query)

### queryWaitingJobs

org.gitana.platform.support.ResultMap<Job> queryWaitingJobs(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)

### listFinishedJobs

org.gitana.platform.support.ResultMap<Job> listFinishedJobs()

### listFinishedJobs

org.gitana.platform.support.ResultMap<Job> listFinishedJobs(org.gitana.platform.support.Pagination pagination)

### queryFinishedJobs

org.gitana.platform.support.ResultMap<Job> queryFinishedJobs(com.fasterxml.jackson.databind.node.ObjectNode query)

### queryFinishedJobs

org.gitana.platform.support.ResultMap<Job> queryFinishedJobs(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)

### readJob

Job readJob(String jobId)

### killJob

void killJob(String jobId)

### waitForJobCompletion

Job waitForJobCompletion(String jobId)

### pollForJobCompletion

Job pollForJobCompletion(String jobId)
Similar to waitForCompletion() call but uses Cloud CMS 4.0 Job Polling.

Parameters:
  `jobId` -
Returns: